<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>HW JS #6 - arrays, filter</title>
    <link rel="stylesheet" href="css/reset.css">
    <link rel="stylesheet" href="css/style.css">
</head>
<body>
    <div class="container">
        <h1 class="page-title">HW JS #6 - arrays, filter</h1>
        <div class="task-block">
            <p class="question"><span class="quoted">Вопрос:</span> Опишите своими словами как работает цикл forEach.</p>
            <div class="answer-wrapper">
                <p class="answer">
                    Цикл forEach является одним из методов перебора массива данных. Он работает только с числовыми ключами массива и НЕ числовые ключи попросту пропускает
                </p>
                <p class="code">
                    let arr111 = [1,2,5, 4, 'm', '4r'] <br>
                    arr111.test = 'aaaa' <br>
                    arr111.forEach(e => console.log(e)) //выведет все, кроме 'aaaa'
                </p>
                <p class="answer">
                    Цикл является функцией высшего порядка, принимая в качетсве параметра функцию-колбек, в которую передаются 3 параметра:
                </p>
                <ol class="answer-list">
                    <li>значение элемента массива</li>
                    <li>индекс элемента массива</li>
                    <li>исходный массив</li>
                </ol>
                <p class="answer">
                    И позволяет выполнить какое-либо действие с каждым элементом массива при помощи функции-колбека, передавая ей параметры, при этом сам по себе ничего не возвращает.
                </p>
                
            </div>
        </div>
        <div class="task-block">
            <p class="question"><span class="quoted">Задача:</span>Реализовать функцию фильтра массива по указанному типу данных.</p>
            <p class="additional">
                <strong>... и как всегда </strong> <br>
                я постарался предусмотреть даже ядерный взрыв
            </p>
            <p class="answer btn-wrapper">
                <button class="btn btn-red" onclick="startTask()">Запустить</button>
            </p>
            <p class="result">Смотри результат в консоли!</p>
        </div>
    </div>
    
    <script src="js/task1.js"></script>
</body>
</html>